#!/bin/bash 
# verificaop.sh
# vers. 1.0.4

######################################################################
# Questa Procedura verifica quali procedure vengono utilizzare in un
# dato momento
######################################################################

stty -isig

######################################################################
# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	sleep 5
	exit
fi

######################################################################
# Variabili d'ambiente

prg_demografici="edem"
prg_segreteria="edeli eprot emess"
prg_tributi="egit"
prg_finanziaria="eb77"
prg_pagheeco="epag"
prg_paghegiu="erugg"
prg_commercio="elice"
prg_invcivili="icv"
prg_economato="eeco"
prg_rilpresenze="time"
prg_mutui="emut"
prg_cimiteriali="ecimi"
prg_rette="re"
prg_servsociali="ss"

# NOTA: tutti i files contenenti le variabili d'ambiente devono essere
#  sempre  presenti su /sibac/variabili 

if test  ! -d /sibac ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY '/sibac' !!\n\n"
	sleep 3
	exit
fi

if test  ! -d /sibac/variabili ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY '/sibac/variabili' !!\n\n"
	sleep 3
fi
####################################################################

dir_variabili="/sibac/variabili"

if test -s $dir_variabili/floppy ; then
	floppy=`cat $dir_variabili/floppy` ; else
	/usr/bin/clear
	floppy="/dev/fd0"
	echo -e "Variabile d'ambiente 'device floppy' non inizializzata!\n\n"
	echo -e "Inserire device degli aggiornamenti da floppy ($floppy): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$floppy
	fi

	echo $variabile > $dir_variabili/floppy
fi

if test -s $dir_variabili/mediafd ; then
	mediafd=`cat $dir_variabili/mediafd`; else
	/usr/bin/clear
	mediafd="/media/floppy"
	echo -e "Variabile d'ambiente 'mediafd' non inizializzata!\n\n"
	echo -e "Inserire percorso per gli aggiornamenti da floppy ($mediafd): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$mediafd
	fi

	echo $variabile > $dir_variabili/mediafd
fi

if test -s $dir_variabili/masterizzatore ; then
	masterizzatore=`cat $dir_variabili/masterizzatore` ; else
	/usr/bin/clear
	masterizzatore="/dev/cdrom"
	echo -e "Variabile d'ambiente 'masterizzatore' non inizializzata!\n\n"
	echo -e "Inserire nome supporto per le copie su masterizzatore ($masterizzatore): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$masterizzatore
	fi

	echo $variabile > $dir_variabili/masterizzatore
fi

if test -s $dir_variabili/mediacd ; then
	mediacd=`cat $dir_variabili/mediacd`; else
	/usr/bin/clear
	mediacd="/media/cdrom"
	echo -e "Variabile d'ambiente 'cdrom' non inizializzata!\n\n"
	echo -e "Inserire percorso per gli aggiornamenti da cdrom ($mediacd): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$mediacd
	fi

	echo $variabile > $dir_variabili/mediacd
fi

if test -s $dir_variabili/nastro ; then
	nastro=`cat $dir_variabili/nastro` ; else
	/usr/bin/clear
	nastro="/dev/st0"
	echo -e "Variabile d'ambiente 'nastro' non inizializzata!\n\n"
	echo -e "Inserire nome supporto utilizzato per le copie ($nastro): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$nastro
	fi

	echo $variabile > $dir_variabili/nastro
fi

if test -s $dir_variabili/id_sistema ; then
	id_sistema=`cat $dir_variabili/id_sistema` ; else
	/usr/bin/clear
	echo -e "Variabile d'ambiente 'id_sistema' non inizializzata!\n\n"
	echo -e "Inserire identificativo di sistema (esempio: Ubuntu_Server_6.06.1): \c"
	read variabile
	if test -z $variabile ; then 
		variabile="INSERIRE ID_SISTEMA!!!"
	fi

	echo $variabile > $dir_variabili/id_sistema
fi

if test -s $dir_variabili/dir_ambiente ; then
	dir_ambiente=`cat $dir_variabili/dir_ambiente` ; else
	/usr/bin/clear
	dir_ambiente="/sibac"
	echo -e "Variabile d'ambiente 'dir_ambiente' non inizializzata!\n\n"
	echo -e "Inserire nome directory ambiente SIBAC ($dir_ambiente): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_ambiente
	fi

	echo $variabile > $dir_variabili/dir_ambiente
fi

if test -s $dir_variabili/dir_scripts ; then
	dir_scripts=`cat $dir_variabili/dir_scripts` ; else
	/usr/bin/clear
	dir_scripts="/sibac/scripts"
	echo -e "Variabile d'ambiente 'dir_scripts' non inizializzata!\n\n"
	echo -e "Inserire nome directory degli scripts ($dir_scripts): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_scripts
	fi

	echo $variabile > $dir_variabili/dir_scripts
fi

if test -s $dir_variabili/dir_installazione ; then
	dir_installazione=`cat $dir_variabili/dir_installazione` ; else
	/usr/bin/clear
	dir_installazione="/sibac/installazione"
	echo -e "Variabile d'ambiente 'dir_installazione' non inizializzata!\n\n"
	echo -e "Nome directory per i file d'installazione ($dir_installazione): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_installazione
	fi

	echo $variabile > $dir_variabili/dir_installazione
fi

if test -s $dir_variabili/dir_aggiornamenti ; then
	dir_aggiornamenti=`cat $dir_variabili/dir_aggiornamenti` ; else
	/usr/bin/clear
	dir_aggiornamenti="/sibac/aggiornamenti"
	echo -e "Variabile d'ambiente 'dir_aggiornamenti' non inizializzata!\n\n"
	echo -e "Nome directory per i file degli aggiornamenti ($dir_aggiornamenti): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_aggiornamenti
	fi

	echo $variabile > $dir_variabili/dir_aggiornamenti
fi

if test -s $dir_variabili/file_inst ; then
	file_inst=`cat $dir_variabili/file_inst` ; else
	/usr/bin/clear
	file_inst="basecd.tar.bz2"
	echo -e "Variabile d'ambiente 'file_inst' non inizializzata!\n\n"
	echo -e "Inserire il nome del file installante ($file_inst):\c"
	read variabile
	if test -z $variabile ; then 
		variabile=$file_inst
	fi

	echo $variabile > $dir_variabili/file_inst
fi

if test -s $dir_variabili/file_agg ; then
	file_agg=`cat $dir_variabili/file_agg` ; else
	/usr/bin/clear
	file_agg="aggiornamento.tar.bz2"
	echo -e "Variabile d'ambiente 'file_agg' non inizializzata!\n\n"
	echo -e "Inserire nome del file per gli aggiornamenti ($file_agg): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$file_agg
	fi

	echo $variabile > $dir_variabili/file_agg
fi

if test -s $dir_variabili/dir_copieinterne ; then
	dir_copieinterne=`cat $dir_variabili/dir_copieinterne` ; else
	/usr/bin/clear
	dir_copieinterne="/sibac/copie"
	echo -e "Variabile d'ambiente 'copieinterne' non inizializzata!\n\n"
	echo -e "Inserire nome directory copie interne ($dir_copieinterne): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_copieinterne
	fi

	echo $variabile > $dir_variabili/dir_copieinterne
fi

if test -s $dir_variabili/codicecliente ; then
	codicecliente=`cat $dir_variabili/codicecliente` ; else
	/usr/bin/clear
	codicecliente="DEVI_INSERIRE_CODICE_UTENTE"
	echo -e "Variabile d'ambiente 'codicecliente' non inizializzata!\n\n"
	echo -e "Inserire il codice cliente ($codicecliente): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$codicecliente
	fi

	echo $variabile > $dir_variabili/codicecliente
fi

# verifico che esistano le directory "obbligatorie" per poter procedere

if test  ! -d $dir_installazione ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DI INSTALLAZIONE!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_installazione
	sleep 3
fi

if test  ! -d $dir_aggiornamenti ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DEGLI AGGIORNAMENTI!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_aggiornamenti
	sleep 3
fi

if test  ! -d $dir_ambiente/tmp ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY TEMPORANEA!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_ambiente/tmp
	sleep 3
fi

if test  ! -d $dir_scripts ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DEGLI SCRIPTS!!!\n\n"
	echo -e "Provvedere alla sua creazione ed all'inizializzazione delle variabili d'ambiente"
	sleep 3
	exit
fi

if test  ! -d $dir_variabili ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DELLE VARIABILI D'AMBIENTE!!!\n\n"
	echo -e "Provvedere alla sua creazione ed all'inizializzazione delle variabili d'ambiente"
	sleep 3
	exit
fi


if test  ! -d $dir_copieinterne ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DELLE COPIE INTERNE!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_copieinterne
	sleep 3
fi

###############################################################################
# Tabella 

###############################################################################
# Inizio menu

/usr/bin/clear
rm -rf /tmp/procedureutilizzate > /dev/null 2> /dev/null

lsof | grep -i sibac > /tmp/lsof

for en in $prg_re
do
	grep $en /tmp/lsof >/dev/null && echo "         * Gest. Rette ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_ss
do
	grep $en /tmp/lsof >/dev/null && echo "         * Servizi Sociali ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_demografici
do
	grep $en /tmp/lsof >/dev/null && echo "         * Demografici ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_segreteria
do
	grep $en /tmp/lsof >/dev/null && echo "         * Segreteria ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_tributi
do
	grep $en /tmp/lsof >/dev/null && echo "         * Tributi ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_economato
do
	grep $en /tmp/lsof >/dev/null && echo "         * Economato ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_finanziaria
do
	grep $en /tmp/lsof >/dev/null && echo "         * Finanziaria ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_rilpresenze
do
	grep $en /tmp/lsof >/dev/null && echo "         * Rilevazione Presenze ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_pagheeco $prg_paghegiu
do
	grep $en /tmp/lsof >/dev/null && echo "         * Paghe ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_commercio 
do
	grep $en /tmp/lsof >/dev/null && echo "         * Commercio ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_invcivili 
do
	grep $en /tmp/lsof >/dev/null && echo "         * Invalidi Civili ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_mutui 
do
	grep $en /tmp/lsof >/dev/null && echo "         * Mutui ($en)" >> /tmp/procedureutilizzate
done

for en in $prg_cimiteriali 
do
	grep $en /tmp/lsof >/dev/null && echo "         * Loculi Cimiteriali ($en)" >> /tmp/procedureutilizzate
done

echo -e "\t==============================================================="
echo -e "\t M E M  I N F O R M A T I C A  *  M E M  I N F O R M A T I C A "
echo -e "\t==============================================================="
echo -e "\t     E L E N C O  P R O C E D U R E  U T I L I Z Z A T E  "
echo -e "\t---------------------------------------------------------------"
echo -e "$(cat /tmp/procedureutilizzate 2>/dev/null)"
echo -e "\t----------------------------------------------------- v.1.0.4 -\n"
echo -e "\t<return> per proseguire \c"

read lavoro

/usr/bin/clear
